> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CDN service details

> Get information about CDN service.



## OpenAPI

````yaml /api-reference/services_documented/cdn_api.yaml get /cdn/clients/me
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN service
    description: Information about the current state of the CDN service in your account.
    x-displayName: CDN service
  - name: CDN resources
    x-displayName: CDN resources
  - name: Origins
    x-displayName: Origins
  - name: Rules
    description: >-
      Rules allow to set up custom settings for certain file types or paths.

      By default, the rule inherits all options values from the related CDN
      resource.


      Each option in rule settings can be in one of the following states:

      - **Inherit** - Option is not added to the rule. Option inherits its value
      from the CDN resource settings. In this case, the option value is
      **null**.

      - **ON** - Option is added to the rule and enabled. Option values
      configured in the rule will override values from the CDN resource
      settings.

      - **OFF** - Option is added to the rule and disabled. Option will be
      turned off.
    x-displayName: Rules
  - name: Rule templates
    x-displayName: Rule templates
  - name: SSL certificates
    x-displayName: SSL certificates
  - name: Let's Encrypt certificates
    x-displayName: Let's Encrypt certificates
  - name: CA certificates
    x-displayName: CA certificates
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
    x-displayName: CDN activity logs
  - name: Log viewer
    description: >-
      Log viewer provides you with general information about CDN operation. This
      information does not contain all possible

      sets of fields and restricted by time. To receive full data, use Logs
      Uploader.
    x-displayName: Log viewer
  - name: Logs uploader
    description: >-
      Logs uploader allows you to upload logs with desired format to desired
      storages.


      Consists of three main parts:

      - **Policies** - rules that define which logs are uploaded and how they
      are uploaded.

      - **Targets** - destinations where logs are uploaded.

      - **Configs** - combinations of logs uploader policies, targets and
      resources to which they are applied.
    x-displayName: Logs uploader
  - name: Tools
    x-displayName: Tools
  - name: CDN Statistics
    description: >-
      Consumption statistics is updated in near real-time as a standard
      practice.

      However, the frequency of updates can vary, but they are typically
      available within a 24-hour period.

      Exceptions, such as maintenance periods, may delay data beyond 24 hours
      until servers resume and fill in the missing statistics.
    x-displayName: Statistics
  - name: Advanced analytics
    description: >-
      Advanced analytics allows to get statistics about unique visitors,
      traffic, and requests for countries, directories, browsers, devices, and
      operation systems for up to 90 days starting from today.


      Advanced analytics API is based on the [GraphQL
      framework](https://graphql.org/).


      Advanced analytics API has one single endpoint:

       https://api.gcore.com/cdn/advanced/v2/query

      You can pass the query parameters as a JSON object in the payload of a
      POST request to this endpoint.

      You can use curl to make requests to the Advanced analytics API.
      Alternatively, you can use a GraphQL client

      to construct queries and pass requests to the Advanced analytics API.


      You can write queries in GraphQL much like in SQL: specify the data set
      (CDN resource), the metrics

      to retrieve (such as unique visitors and traffic), and filter or group by
      dimensions (for example, a country).
    x-displayName: Advanced analytics
  - name: Origin shielding
    x-displayName: Origin shielding
  - name: IP addresses list
    x-displayName: IP addresses list
  - name: Purge history
    x-displayName: Purge history
paths:
  /cdn/clients/me:
    get:
      tags:
        - CDN service
      summary: Get CDN service details
      description: Get information about CDN service.
      operationId: get-cdn-service-details
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDNServiceResponse'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            cdn_account = client.cdn.get_account_overview()
            print(cdn_account.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tcdnAccount, err := client.CDN.GetAccountOverview(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", cdnAccount.ID)\n}\n"
components:
  schemas:
    CDNServiceResponse:
      type: object
      properties:
        id:
          type: integer
          description: Account ID.
          example: 174
        created:
          type: string
          description: >-
            Date of the first synchronization with the Platform (ISO 8601/RFC
            3339 format, UTC.)
        updated:
          type: string
          description: >-
            Date of the last update of information about CDN service (ISO
            8601/RFC 3339 format, UTC.)
          example: '2021-06-24T01:57:01.416157Z'
        service:
          $ref: '#/components/schemas/service'
        utilization_level:
          $ref: '#/components/schemas/utilization_level'
        cname:
          type: string
          description: >-
            Domain zone to which a CNAME record of your CDN resources should be
            pointed.
          example: cl-174-example.cdn.com
        use_balancer:
          type: boolean
          description: |-
            Defines whether custom balancing is used for content delivery.

            Possible values:
            - **true** - Custom balancing is used for content delivery.
            - **false** - Custom balancing is not used for content delivery.
          example: true
        auto_suspend_enabled:
          type: boolean
          description: >-
            Defines whether resources will be deactivated automatically by
            inactivity.


            Possible values:

            - **true** - Resources will be deactivated.

            - **false** - Resources will not be deactivated.
          example: true
        cdn_resources_rules_max_count:
          type: integer
          description: Limit on the number of rules for each CDN resource.
          example: 10
    service:
      description: Information about the CDN service status.
      type: object
      properties:
        enabled:
          type: boolean
          description: |-
            Defines whether the CDN service is activated.

            Possible values:
            - **true** - Service is activated.
            - **false** - Service is not activated.
          example: true
        status:
          type: string
          description: >-
            CDN service status.


            Possible values:

            - **new** - CDN service is not activated.

            - **trial** - Free trial is in progress.

            - **trialend** - Free trial has ended and CDN service is stopped.
            All CDN resources are suspended.

            - **activating** - CDN service is being activated. It can take up to
            15 minutes.

            - **active** - CDN service is active.

            - **paused** - CDN service is stopped. All CDN resources are
            suspended.

            - **deleted** - CDN service is stopped. All CDN resources are
            deleted.
          example: active
        updated:
          type: string
          description: >-
            Date of the last CDN service status update (ISO 8601/RFC 3339
            format, UTC.)
          example: '2021-02-19T15:44:44.925201Z'
    utilization_level:
      type: integer
      description: |-
        CDN traffic usage limit in gigabytes.

        When the limit is reached, we will send an email notification.
      example: 1111
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````